﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WaMarketPro.Extensions
{
    public static class StringExtensions
    {
        public static string ExtractNumber(this string str)
        {
            if (str.Contains("@"))
            {
                var tmp = str.Split('@')[0];
                return Regex.Replace(tmp, @"[^0-9]+", "");
            }
            return str;
        }

        public static string ExtractStatus(this string str)
        {
            return str.Contains("true") ? "Success" : "Fail";

        }
    }
}
