﻿using System;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;
using WaMarketProApp.Extensions;
using WaMarketProApp.Utils;

namespace WaMarketProApp
{
    public partial class FrmWelcome : Form
    {
        public FrmWelcome()
        {
            InitializeComponent();
        }

        private void FrmWelcome_Load(object sender, EventArgs e)
        {
            Task.Factory.StartNew(() =>
            {
                for (int i = 0; i < 20; i++)
                {
                    SpinWait.SpinUntil(() => false, 100);
                    this.Invoke(new Action(() => this.progressBar1.PerformStep()));
                }
                var result = AuthUtils.IsActive();
                if (result)
                {
                    this.InvokeOnUiThreadIfRequired(() =>
                    {
                        this.Hide();
                        new FrmMain().ShowDialog();
                    });
                }
                else
                {
                    this.InvokeOnUiThreadIfRequired(() =>
                    {
                        this.Hide();
                        new FrmAuth() { Msg = string.Empty }.ShowDialog();
                    });
                }
            });
        }
    }
}
