﻿using Krypton.Toolkit;
using System;
using System.Threading.Tasks;
using System.Windows.Forms;
using WaMarketProApp.Extensions;

namespace WaMarketProApp
{
    public partial class FrmUpdate : KryptonForm
    {

        public FrmUpdate()
        {
            InitializeComponent();
        }

        private async void FrmUpdate_Load(object sender, EventArgs e)
        {
            this.progressBar1.Step = 5;
            await Task.Factory.StartNew(async () =>
            {
                for (int i = 0; i < 10; i++)
                {
                    await Task.Delay(200);
                    this.InvokeOnUiThreadIfRequired(() => this.progressBar1.PerformStep());
                }

                this.DialogResult = DialogResult.OK;
            });
        }
    }
}
